com.fasterxml.jackson.databind

## Class PropertyNamingStrategies.LowerCaseStrategy

- java.lang.Object
- - com.fasterxml.jackson.databind.PropertyNamingStrategy
  - - com.fasterxml.jackson.databind.PropertyNamingStrategies.NamingBase
    - - com.fasterxml.jackson.databind.PropertyNamingStrategies.LowerCaseStrategy

All Implemented Interfaces:
  Serializable

Enclosing class:
  PropertyNamingStrategies

    public static class PropertyNamingStrategies.LowerCaseStrategy
    extends PropertyNamingStrategies.NamingBase

Simple strategy where external name simply only uses lower-case characters, and no separators. Conversion from internal name like "someOtherValue" would be into external name if "someothervalue".

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.PropertyNamingStrategy

`PropertyNamingStrategy.KebabCaseStrategy, PropertyNamingStrategy.LowerCaseStrategy, PropertyNamingStrategy.LowerDotCaseStrategy, PropertyNamingStrategy.PropertyNamingStrategyBase, PropertyNamingStrategy.SnakeCaseStrategy, PropertyNamingStrategy.UpperCamelCaseStrategy`

### Field Summary

### Fields inherited from class com.fasterxml.jackson.databind.PropertyNamingStrategy

`KEBAB_CASE, LOWER_CAMEL_CASE, LOWER_CASE, LOWER_DOT_CASE, SNAKE_CASE, UPPER_CAMEL_CASE`

### Constructor Summary

Constructors
Constructor and Description
`LowerCaseStrategy()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `translate(String input)`

### Methods inherited from class com.fasterxml.jackson.databind.PropertyNamingStrategies.NamingBase

`nameForConstructorParameter, nameForField, nameForGetterMethod, nameForSetterMethod, translateLowerCaseWithSeparator`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LowerCaseStrategy

    public LowerCaseStrategy()

### Method Detail

#### translate

    public String translate(String input)

Specified by:
  `translate` in class `PropertyNamingStrategies.NamingBase`